Index: npl/kernel/drbd8/drbd8.SlackBuild
===================================================================
--- npl/kernel/drbd8/drbd8.SlackBuild	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drbd8/drbd8.SlackBuild	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -15,5 +15,5 @@
 
 
-VERSION=8.4.8-1
+VERSION=8.4.11-1
 PKGVERSION=`echo $VERSION| sed 's/-/_/'`
 
Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drbd8/drbd8.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6551
+6554
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drbd8/drbd8.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	404072000
+linux_src	409149001
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drbd8/drbd8.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,8 +1,9 @@
 8770e6c2ab88f6e50bac9be1926704f2  ./boot.drbd
+827ec7cc186cc55dfd046f9ee0b13fae  ./drbd-8.4.11-1.tar.gz
 aabd6c255cdf11d341c862ed65c64f53  ./drbd-8.4.7-1.tar.gz
 1e55a2659d0ade21f3ec3c31b8669afc  ./drbd-8.4.8-1.tar.gz
-3b8e87823f28f79f0eb702f5412f76fc  ./drbd8.pkg
-4ddc712a6a2ed9f67d1193fd3f952a23  ./drbd8.SlackBuild
-462bd74f68d21bd91573b1c6acdb362d  ./drbd8.SlackBuild.log.gz
+d0778679aa0290dee0551b7323101077  ./drbd8.pkg
+9eb8ea2f59178e4a616392e9d02be3e0  ./drbd8.SlackBuild
+6622c816481407222a4054b1d5c3bedf  ./drbd8.SlackBuild.log.gz
 7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drbd8/drbd8.version
===================================================================
--- npl/kernel/drbd8/drbd8.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drbd8/drbd8.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-8.4.8_1
+8.4.11_1
Index: npl/kernel/drv_dahdi/drv_dahdi.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_dahdi/drv_dahdi.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6552
Index: npl/kernel/drv_dahdi/drv_dahdi.depver
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	404072000
+linux_src	409149001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_dahdi/drv_dahdi.md5
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,7 +1,7 @@
 7ab7b781c0eeba1522c56f49222d2627  ./dahdi
 af96917e15eebc36519948133ec7e36b  ./dahdi-linux-2.11.1.tar.gz
-706ec5bc44fed633e781a156532a24ba  ./drv_dahdi_dev.pkg
-58e21268a03f68860ddb7ba5fc99169e  ./drv_dahdi.pkg
+cf52345b4c6a58467ab7d6c4a9321060  ./drv_dahdi_dev.pkg
+b9eb5d69984cdb6680fd2228ec2250f7  ./drv_dahdi.pkg
 8aeaed44b83e1ed8f56a6981afad6898  ./drv_dahdi.SlackBuild
-6b74c7feeb01041443cc565898686740  ./drv_dahdi.SlackBuild.log.gz
+1ba75c214384109033c946f0cf32d57a  ./drv_dahdi.SlackBuild.log.gz
 b5476f7778add5f5e85a4c898da3ba49  ./post.dahdi
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6552
Index: npl/kernel/drv_e1000e/drv_e1000e.SlackBuild
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.SlackBuild	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_e1000e/drv_e1000e.SlackBuild	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -10,5 +10,5 @@
 mkdir $TMP
 
-VERSION=3.3.4
+VERSION=3.4.2.1
 ARCH=${ARCH:-i486}
 
Index: npl/kernel/drv_e1000e/drv_e1000e.build
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_e1000e/drv_e1000e.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6553
Index: npl/kernel/drv_e1000e/drv_e1000e.depver
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,3 +1,3 @@
-linux_src	404072000
+linux_src	409149001
 linux_headers	0
 linux	0
Index: npl/kernel/drv_e1000e/drv_e1000e.md5
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,4 +1,5 @@
-8dd7a099d41602a7b223d7f8db82c294  ./drv_e1000e.pkg
-9f85b56cb7f5fde9d6ddf879926de4fb  ./drv_e1000e.SlackBuild
-f1ff71a075d36d86819b7b14bba7c991  ./drv_e1000e.SlackBuild.log.gz
+d5282f3a7d01229cc50cc2a4a452d46d  ./drv_e1000e.pkg
+88591d173bd140bdf1501109f16ee4cc  ./drv_e1000e.SlackBuild
+8d7d90df8944ff5ca6432705424aafea  ./drv_e1000e.SlackBuild.log.gz
 5c6d010341868f753cf983cbe4467db5  ./e1000e-3.3.4.tar.gz
+7503911b5cbe0b654406b791dd768874  ./e1000e-3.4.2.1.tar.gz
Index: npl/kernel/drv_e1000e/drv_e1000e.version
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_e1000e/drv_e1000e.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-3.3.4
+3.4.2.1
Index: npl/kernel/drv_hyperv/drv_hyperv.SlackBuild.dis
===================================================================
--- npl/kernel/drv_hyperv/drv_hyperv.SlackBuild.dis	(revision 6936b8932b048eb73512487926566f8def134e13)
+++ npl/kernel/drv_hyperv/drv_hyperv.SlackBuild.dis	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -0,0 +1,29 @@
+#!/bin/sh
+#DEP:linux_src
+#DEP:linux_headers
+#DEP:linux
+
+CWD=`pwd`
+TMP=/$CWD/tmp
+PKG=/tmp/pkg
+mkdir -p $PKG
+mkdir $TMP
+
+VERSION=4.2.7
+ARCH=${ARCH:-i486}
+
+cd $TMP
+tar -xjf $CWD/*.tar.bz2 || exit 1
+cd lis-next-$VERSION/src || exit 1
+
+make || exit 1
+#make INSTALL_MOD_PATH=/tmp/pkg install || exit 1
+mkdir -p /tmp/pkg/lib/modules/`uname -r`/extra || exit 1
+cp *ko /tmp/pkg/lib/modules/`uname -r`/extra || exit 1
+
+#package maken
+cd $PKG
+NAME=`echo $0|cut -f2 -d'.'`
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VERSION > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
Index: npl/kernel/drv_pf_ring/drv_pf_ring.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-i686
+i586
Index: npl/kernel/drv_pf_ring/drv_pf_ring.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-5
+7
Index: npl/kernel/drv_pf_ring/drv_pf_ring.depver
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,2 +1,2 @@
-linux_src	404033004
+linux_src	409149001
 linux	0
Index: npl/kernel/drv_pf_ring/drv_pf_ring.md5
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,5 +1,5 @@
-66b8002a8f28c949e8c2acd4b79fbfdc  ./drv_pf_ring_dev.pkg
-924448bf7dfb0532cd4f78deedec0f95  ./drv_pf_ring.pkg
+058f40d5128a81e42174f850812b4f69  ./drv_pf_ring_dev.pkg
+a46beee5fe77d18ee1b42deea68608fb  ./drv_pf_ring.pkg
 8ab1d083c9ef0fea7a2d5fb2663252e1  ./drv_pf_ring.SlackBuild
-80c69602597e4ab836436772966c55b9  ./drv_pf_ring.SlackBuild.log.gz
+62fd76ce80ad6dfde673c78aec10d0ff  ./drv_pf_ring.SlackBuild.log.gz
 4199f896b822fbe87afc76c31505c371  ./pf-ring-6.6.0.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-i686
+i586
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-5
+7
Index: npl/kernel/initrd/initrd.build
===================================================================
--- npl/kernel/initrd/initrd.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd/initrd.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6553
+6556
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd/initrd.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -2,5 +2,5 @@
 xfsprogs	1
 linux	0
-linux_src	404072000
+linux_src	409149001
 lvm2	0
 pciutils	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd/initrd.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,3 +1,3 @@
-05cafa2a87fd8b7408edfc935e40aebb  ./initrd.pkg
+3ff3ed0490ca2da876e6a3d81221325f  ./initrd.pkg
 3a4c9fa2a61eb4a5e3a79ca0042e9792  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd
Index: npl/kernel/initrd/initrd.version
===================================================================
--- npl/kernel/initrd/initrd.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd/initrd.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-4.4.72_bigmem_syn3
+4.9.149_bigmem_syn3
Index: npl/kernel/initrd_scripts/initrd_scripts.build
===================================================================
--- npl/kernel/initrd_scripts/initrd_scripts.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd_scripts/initrd_scripts.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6545
+6546
Index: npl/kernel/initrd_scripts/initrd_scripts.md5
===================================================================
--- npl/kernel/initrd_scripts/initrd_scripts.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/initrd_scripts/initrd_scripts.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,7 +1,7 @@
-60c026608086ce565cadf2598d5586ec  ./initrd_scripts.pkg
+7633df4b6fa24ad769ded4d373ccee55  ./initrd_scripts.pkg
 f8c838462b443b47b87c93b372753db9  ./initrd_scripts.SlackBuild
-b5d60e619904138471d8277c775a12be  ./initrd_scripts.SlackBuild.log.gz
+59244a53e919308f45521ea3695c41b2  ./initrd_scripts.SlackBuild.log.gz
 a50b10adc68c6af8c9145a88b8f663d3  ./root/bin/sup
-f500a5bbd663874d92cc833d6b15009e  ./root/etc/drbd.boot
+34e1459a44051ecf92cbac2a52ca2386  ./root/etc/drbd.boot
 a9c8802601e03363c060046b5bc96532  ./root/etc/fstab
 540849ef0e979441257330e78ef501a4  ./root/etc/group
Index: npl/kernel/linux/linux.build
===================================================================
--- npl/kernel/linux/linux.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux/linux.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6554
Index: npl/kernel/linux/linux.depver
===================================================================
--- npl/kernel/linux/linux.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux/linux.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-linux_src	404072000
+linux_src	409149001
Index: npl/kernel/linux/linux.md5
===================================================================
--- npl/kernel/linux/linux.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux/linux.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,4 +1,4 @@
-04130325c2e8895bc2233178b08bd197  ./linux.pkg
+e0ca2dd6cfc4b086e006428a678865ac  ./linux.pkg
 67f6acaa0cb7027b29eed0b2e4cbea30  ./linux.SlackBuild
-3958f4a1e45dd37ddf25365225e5210e  ./linux.SlackBuild.log.gz
+cefa1eebf572204bfc0538f1c0c8ee8d  ./linux.SlackBuild.log.gz
 7fe139c0b2be4f799bf8012284fef9ff  ./post.linux
Index: npl/kernel/linux/linux.version
===================================================================
--- npl/kernel/linux/linux.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux/linux.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-4.4.72_bigmem_syn3
+4.9.149_bigmem_syn3
Index: npl/kernel/linux_headers/linux_headers.build
===================================================================
--- npl/kernel/linux_headers/linux_headers.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_headers/linux_headers.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6553
Index: npl/kernel/linux_headers/linux_headers.depver
===================================================================
--- npl/kernel/linux_headers/linux_headers.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_headers/linux_headers.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-linux_src	404072000
+linux_src	409149001
Index: npl/kernel/linux_headers/linux_headers.md5
===================================================================
--- npl/kernel/linux_headers/linux_headers.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_headers/linux_headers.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,3 +1,3 @@
-a6f2631f6d4a951bd63c648890c36488  ./linux_headers.pkg
+1fe8ec3ca9db4b8486bdcc539c85cfb2  ./linux_headers.pkg
 0f51cde2bbc4cbe006abcf63844e28c7  ./linux_headers.SlackBuild
-8282ace2d4be2bae822fdda301ede7f2  ./linux_headers.SlackBuild.log.gz
+0202a16dccf3b42ee4b7ae1850c72dfe  ./linux_headers.SlackBuild.log.gz
Index: npl/kernel/linux_headers/linux_headers.version
===================================================================
--- npl/kernel/linux_headers/linux_headers.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_headers/linux_headers.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-4.4.72_bigmem_syn3
+4.9.149_bigmem_syn3
Index: npl/kernel/linux_src/linux_src.SlackBuild
===================================================================
--- npl/kernel/linux_src/linux_src.SlackBuild	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_src/linux_src.SlackBuild	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -14,10 +14,10 @@
 
 #unpack basic kernel and apply all incremental patches
-tar -xf $CWD/linux-4.4.tar.xz || exit 1
+tar -xf $CWD/linux-4.9.tar.xz || exit 1
 cd linux-* || exit 1
 #if you want to create a newer kernel: just download newest patches, and increase patchlevel
 #also increase .major file to trigger rebuilds!
-PATCHLEVEL=72
-VER=4.4.$PATCHLEVEL
+PATCHLEVEL=149
+VER=4.9.$PATCHLEVEL
 #bunzip2 $CWD/patch-$VER.bz2 || exit 1
 #gunzip $CWD/patch-$VER.gz || exit 1
@@ -43,5 +43,8 @@
 #patch -p1 < $CWD/fbcondecor-3.14b.patch || exit 1
 #patch -F3 -p1 < $CWD/fbcondecor-3.15.patch || exit 1
-patch  -p1 < $CWD/fbcondecor-3.19.patch || exit 1
+#patch  -p1 < $CWD/fbcondecor-3.19.patch || exit 1
+
+#from https://dev.gentoo.org/~mpagano/genpatches/patches-4.9-143.html
+patch  -p1 < $CWD/4200_fbcondecor.patch || exit 1
 
 
@@ -51,5 +54,6 @@
 #patch -p1 -F3 < $CWD/linux-3.13-imq.diff || exit 1
 #patch -p1 -F3 < $CWD/linux-3.13.10_hardened_gentoo.diff || exit 1
-patch -p1  < $CWD/linux-4.4.5-imq.diff || exit 1
+#patch -p1  < $CWD/linux-4.4.5-imq.diff || exit 1
+patch -p1  < $CWD/linux-4.9-imq.diff || exit 1
 
 
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_src/linux_src.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6551
+6558
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_src/linux_src.major	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,2 +1,2 @@
-404072000
+409149001
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_src/linux_src.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,8 +1,14 @@
-017c99ede49e47e606a889dffe7e23ab  ./config
+1c0d964fcb8ab76dd04f19f83bdabbc2  ./4200_fbcondecor.patch
+a479e3ee3b9252fba112e4e011c3058b  ./config
 8b7ca23aa660578023a0a244ae235888  ./fbcondecor-3.19.patch
 467d0a59ae2bfe466a370d65768b8ace  ./linux-4.4.5-imq.diff
 9a78fa2eb6c68ca5a40ed5af08142599  ./linux-4.4.tar.xz
-612eaca595756d9a879815252733f148  ./linux_src.pkg
-f8e92ed9ffe8143840c999f4763b5c53  ./linux_src.SlackBuild
-42ceaa2f4a94660086e0ec3175eac239  ./linux_src.SlackBuild.log.gz
+6b10d4581a7f626ea0634ce0e2ad0250  ./linux-4.9-imq.diff
+0a68ef3615c64bd5ee54a3320e46667d  ./linux-4.9.tar.xz
+4f9feea78b058e676574848e108fe594  ./linux_src.pkg
+6b66e4b02a92e6d643336d7969031116  ./linux_src.SlackBuild
+accffe59dd330ecf4330ee17cdc8b662  ./linux_src.SlackBuild.log.gz
+dcfc0db36564de7afa191888d77d667c  ./patch-4.4.165.xz
 706589ba15cc3b1635c8bb1bc8938b14  ./patch-4.4.72.xz
+2440673308ee069058e273517db635d2  ./patch-4.9.141.xz
+3f6f4513701ef63c8afdce3ebc917393  ./patch-4.9.149.xz
Index: npl/kernel/linux_src/linux_src.version
===================================================================
--- npl/kernel/linux_src/linux_src.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/linux_src/linux_src.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-4.4.72_bigmem_syn3
+4.9.149_bigmem_syn3
Index: npl/kernel/open_vm_tools/open_vm_tools.SlackBuild
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.SlackBuild	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools.SlackBuild	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -55,5 +55,5 @@
 #Directory where the sourcefiles are unpacked. 
 #(you might have to adjust this if autodetection fails)
-SRC_DIR=`ls -c|head -1`/open-vm-tools
+SRC_DIR=`ls -c|head -1`
 
 #apply patches
@@ -69,8 +69,8 @@
 MAKE_OPTS=""
 
-autoreconf -i || exit 1
+#autoreconf -i || exit 1
 #export CFLAGS="-Wno-error=cpp -Wno-error=format="
 chmod +x configure
-./configure --prefix=/usr --without-x --without-icu --disable-docs --without-kernel-modules  || exit 1
+./configure --prefix=/usr --without-x --without-icu --disable-docs --without-kernel-modules --without-xml2 || exit 1
 
 #AUTOMAKE: Compile
Index: npl/kernel/open_vm_tools/open_vm_tools.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6553
Index: npl/kernel/open_vm_tools/open_vm_tools.depver
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	404072000
+linux_src	409149001
 glib2	2
 procps_ng	0
Index: npl/kernel/open_vm_tools/open_vm_tools.md5
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,5 +1,5 @@
-fa2da0f0a8eea056c2e226def180d370  ./open_vm_tools_dev.pkg
-ccd2ee72aaf3c273f44bbb15b64b772c  ./open_vm_tools.pkg
-00093fce9cc4e852605b2b138c325a71  ./open_vm_tools.SlackBuild
-3b62ac0559ae4683eee1a870a6840e82  ./open_vm_tools.SlackBuild.log.gz
-3b7253225c4131ee2d5e490c3b86cf1f  ./open-vm-tools-stable-10.0.7.zip
+2af26884a7ac37f63a8dd46da91ce205  ./open-vm-tools-10.3.5-10430147.tar.gz
+462e4834c33e070858a4bebae1ff12ae  ./open_vm_tools_dev.pkg
+c235379a370cf150636e90526789be6c  ./open_vm_tools.pkg
+ca02f86a7073e3008815c2ba435a9082  ./open_vm_tools.SlackBuild
+2c93c26c72826e940315d657bd117b23  ./open_vm_tools.SlackBuild.log.gz
Index: npl/kernel/open_vm_tools/open_vm_tools.version
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-10.0.7
+10430147
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-6550
+6553
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.version
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.version	(revision 6936b8932b048eb73512487926566f8def134e13)
@@ -1,1 +1,1 @@
-10.0.7
+10430147
